/*
 *	Header file for JNi SWR Meter board
 *	This file defines only board specific signals
 *	Other definitions from Microchip 1687x.h file
 *
 * 	Juha Niinikoski 26.01.2004
 *
 *
 */

#define	PIC_CLK 16000000

/*	Port A used for analog inputs	*/

#define PORTA_INIT	0b00000000

#ifdef __A_TYPE	
#define	TRISA_INIT	0b11111111	/* Porta = A/D inputs */
#else
#define	TRISA_INIT	0b11111011	/* Porta = A/D inputs, RA2 = BL control */
#endif

#define	ADCON0_INIT	0b11000001	/* RC osc, CH0 selected */

#ifdef __A_TYPE
#define	ADCON1_INIT	0b10000001	/* right justified 7 AD ch, ext. ref */
#else
#define	ADCON1_INIT	0b10000101	/* right justified 2 AD ch, ext. ref, RA2 = BL */
#endif

#define BL		RA2		/* back light control in 877 non A version


/*	Port B signals	*/

#define PORTB_INIT	0b00000000	/* PORTB init data */
#define TRISB_INIT	0b11000000


#define	LEDR		RB5	/* LED Red*/
#define	LEDY		RB4	/* LED Yellow*/

#define SW1		RB6	/* Push button switches */
#define SW2		RB7



/*	Port C signals	*/

#define PORTC_INIT	0b00000000	/* PORTC init data */
#define TRISC_INIT	0b00000000

#define LCD_E		RC3		/* LCD E signal */
#define LCD_RW		RC2		/* LCD R/W signal */
#define LCD_RS		RC1		/* LCD RS signal */

/*	Port D signals	*/

/* Port D = LCD interface */

#define PORTD_INIT	0b00000000	/* PORTD init data */
#define TRISD_INIT	0b00000000

#define LCD_DATA	PORTD	/* LCD 8-bit data bus */
#define LCD_TRIS	TRISD	/* LCD data direction */ 

/*	Port E signals	*/

/* Port E used for analog inputs */

#define PORTE_INIT	0b00000000	/* PORTE init data */
#define TRISE_INIT	0b00000000	/* !TRISE controls also PORTD mode */


/* Voltage reference module (DAC) init */

#ifdef __A_TYPE				/* if 877A with ref module */
#define CVRCON_INIT	0xC0		/* CVref ON, CVref on AN2 pin */
#endif

