/*

 HF Amplifier controller board timer routines

 Juha Niinikoski OH2NLT 21.01.2004


*/

//**********************
// TMR0 used for delays
//**********************


/* Delays a multiple of 1 milliseconds at 16 MHz  TMR0 timer */
void delay( char millisec )
{
    OPTION = 4;  /* prescaler divide by 32 */
    do  {
        TMR0 = 0;
        while ( TMR0 < 125); // 125 * 8 = 1000
    } while ( -- millisec > 0);
}

/* Delays a multiple microseconds + start delay at 16 MHz  TMR0 timer */
void udelay( char usec )
{
	OPTION = 1;  /* prescaler divide by 4 = 1MHz clock for TMR0 */
	TMR0 = 0;
	while ( TMR0 < usec )
	{
	}

}

//**************************************************
// TMR2 used for 1 mS interrupt generation
//***************************************************

// delays calculated for 16 MHz clock



/* Init TMR2 for 1 mS interrupt generation */

void Init_timers(void)		// set up timers & enable IRQs
	{
	PR2 = 249;		// set TMR2 cycle time 1mS
	T2CKPS1 = 1;		// Prescaler = 16 = 250kHz clock for TMR2
	TMR2ON = 1;		// start TMR2
	TMR2IE = 1;		// enable TMR2 IRQ
	PEIE = 1;		// enable peripheral IRQs
	GIE = 1;		// enable interrupts
	}


/* Timer handlers */

void tmr2_handle(void)			// TMR2 runs for 1mS general timing
	{
	TMR2IF = 0;			// reset IRQ flag

	if(max_timer != 0)		// decrement display delay timer
		{
		max_timer--;
		if(max_timer == 0)
			{
			fwd_max = 0;	// set current values to max
			rev_max = 0;
			}
		}

	}


/* IRQ handler */

static void interrupt tmrint(void)
{
	if(TMR2IF)			// check if TMR2
		tmr2_handle();

}




